<div>
  <mat-table [dataSource]="dataSource"  matSort class="mat-elevation-z8">
    <ng-container matColumnDef="priority">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Priority </mat-header-cell>
      <mat-cell *matCellDef="let malert"> {{malert.Criteria.Priority}} </mat-cell>
    </ng-container>
	<ng-container matColumnDef="DetectTime">
      <mat-header-cell *matHeaderCellDef> DetectTime </mat-header-cell>
      <mat-cell *matCellDef="let malert"> {{malert.MetaAlert.DetectTime}} </mat-cell>
    </ng-container>
    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
      <mat-cell *matCellDef="let malert"> {{malert.MetaAlert.ID}} </mat-cell>
    </ng-container>
    <ng-container matColumnDef="MAQuality">
      <mat-header-cell *matHeaderCellDef  mat-sort-header> Quality </mat-header-cell>
      <mat-cell *matCellDef="let malert"> {{malert.Criteria.MAQuality}} </mat-cell>
    </ng-container>
    <ng-container matColumnDef="srcip">
      <mat-header-cell *matHeaderCellDef> Source IP </mat-header-cell>
      <mat-cell *matCellDef="let malert"> {{malert.MetaAlert.Source.IP4}} </mat-cell>
    </ng-container>
    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
</div>
